/*
 *  file      : src/global.h
 *  project   : b2im
 *  copyright : (C) 2015 by BULIN Claude
 * 
 *  This file is part of b2im project
 * 
 *  b2im is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; version 3.
 * 
 *  b2im is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 *  USA
 */


#ifndef global_h
#define global_h 1

#define PRINT_FUNC_LF() g_print ("%s :: %s (line = %d)\n", __FILE__, __FUNCTION__, __LINE__)

#ifdef ENABLE_NLS
	#include <libintl.h>
	#define gettext_noop(x) (x)
	#define _(String) gettext (String)
#endif

// Terminal color codes:
//		printf( "\t%sNew text to see%s\n", BOLD_YELLOW, RESET );
#define RESET			"\033[0m"			// RESET
#define BLACK			"\033[30m"			// Black
#define RED				"\033[31m"			// Red
#define GREEN			"\033[32m"			// Green
#define YELLOW			"\033[33m"			// Yellow
#define BLUE			"\033[34m"			// Blue
#define MAGENTA			"\033[35m"			// Magenta
#define CYAN			"\033[36m"			// Cyan
#define WHITE			"\033[37m"			// White
#define BOLD_BLACK		"\033[1m\033[30m"	// Bold Black
#define BOLD_RED		"\033[1m\033[31m"	// Bold Red
#define BOLD_GREEN		"\033[1m\033[32m"	// Bold Green
#define BOLD_YELLOW		"\033[1m\033[33m"	// Bold Yellow
#define BOLD_BLUE		"\033[1m\033[34m"	// Bold Blue
#define BOLD_MAGENTA	"\033[1m\033[35m"	// Bold Magenta
#define BOLD_CYAN		"\033[1m\033[36m"	// Bold Cyan
#define BOLD_WHITE		"\033[1m\033[37m"	// Bold White


extern GtkBuilder	*GtkBuilderProjet_wind_main;
extern GtkWidget	*WindMain_wind_main;

#define GLADE_GET_OBJECT(OBJ) gtk_builder_get_object( GtkBuilderProjet_wind_main, OBJ )

#define NOTEBOOK_INIT_PACKAGES	0
#define NOTEBOOK_DESKTOP		1
#define NOTEBOOK_KERNEL			2
#define NOTEBOOK_PACKAGE		3
#define NOTEBOOK_GFXBOOT		4
#define NOTEBOOK_TO_HOME		5
#define NOTEBOOK_GENERATE		6


// ---------------------------------------------------------------------------
//  WIND_ABOUT.C
// ---------------------------------------------------------------------------
gboolean wind_about_init( GtkWidget *FromWindMain );

// ---------------------------------------------------------------------------
//  WIND_INFO.C
// ---------------------------------------------------------------------------
gboolean wind_info_init( GtkWidget *FromWindMain, gchar *title, ...  );

// ---------------------------------------------------------------------------
//  WIND_MAIN.C
// ---------------------------------------------------------------------------
gboolean wind_main_init( GtkWidget *FromWindMain );

// ---------------------------------------------------------------------------
//  BUILDER.C
// ---------------------------------------------------------------------------
GtkBuilder *Builder_open( gchar *p_name_glade, GtkBuilder *p_GtkBuilder );

// ---------------------------------------------------------------------------
//  WIND_MAIN.C
// ---------------------------------------------------------------------------
void test_exist_and_config_manjaro_tools( void );

// ---------------------------------------------------------------------------
//  NTB_DESKTOP.C
// ---------------------------------------------------------------------------
void NtbDesktop_make_radiobutton_desktop( void );
void NtbDesktop_remove_list( void );
gboolean NtbDesktop_is_ok( gchar *p_directory );
gchar *NtbDesktop_get_desktop_actif( void );
gchar *NtbDesktop_get_first_name_desktop_actif( void );


// ---------------------------------------------------------------------------
//  NTB_PACKAGE.C
// ---------------------------------------------------------------------------
void NtbPackage_set_check( void );
void NtbPackage_remove_list( void );
void NtbPackage_save_list( void );
void NtbPackage_restore_list( void );

// ---------------------------------------------------------------------------
//  NTB_GFXBOOT.C
// ---------------------------------------------------------------------------
void NtbGfxBoot_add_img_file_to_Drawingarea( GSList *p_list );
void NtbGfxBoot_gfxboot_action( void );
void NtbHome_add_datas_to_( GtkWidget *widget, GSList *p_list );

// ---------------------------------------------------------------------------
//  NTB_KERNEL.C
// ---------------------------------------------------------------------------
gchar *NtbKernel_get_dist_release( void );

// ---------------------------------------------------------------------------
//  PULSE.C
// ---------------------------------------------------------------------------
void pulse_stop( void );
void pulse_run( gchar *p_text,
				void *p_func_begin_timeout,
				void *p_func_end_timeout,
				void *p_func_begin_thread
				);

// ---------------------------------------------------------------------------
//  NTB_TO_HOME.C
// ---------------------------------------------------------------------------
void NtbHome_save_datas_to_home_( void );
void NtbHome_restore_datas_to_home_( void );



#endif
